Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.convert
Class SelectMultipleConverter

    java.lang.Object
      com.tonbeller.wcf.convert.NodeConverterBase
          com.tonbeller.wcf.convert.SelectConverterBase
              com.tonbeller.wcf.convert.SelectMultipleConverter

All Implemented Interfaces:
  NodeConverter

public class SelectMultipleConverter
extends SelectConverterBase

sets an array bean property. The values of all selected items are collected in an array and the bean property is set to that array. If no items are selected, the bean property will contain an empty array.

An items value is the value attribute of the elected item. For type conversion the type, modelReference and formatString attributes will be taken from the items parent (e.g. the listBox).

Author:
  av

Constructor Summary
`SelectMultipleConverter()`

Method Summary
`protected void` | `updateModelReference(Formatter fmt, org.w3c.dom.Element elem, java.lang.Object bean)`

Methods inherited from class com.tonbeller.wcf.convert.SelectConverterBase
`convert, convert`

Methods inherited from class com.tonbeller.wcf.convert.NodeConverterBase
`checkRequired, getElementName, setElementName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectMultipleConverter

    public SelectMultipleConverter()

Method Detail

### updateModelReference

    protected void updateModelReference(Formatter fmt,
                                        org.w3c.dom.Element elem,
                                        java.lang.Object bean)
                                 throws FormatException,
                                        java.lang.IllegalAccessException,
                                        java.lang.NoSuchMethodException,
                                        java.lang.reflect.InvocationTargetException

  Specified by:
    `updateModelReference` in class `SelectConverterBase`
  Throws:
    `FormatException`
    `java.lang.IllegalAccessException`
    `java.lang.NoSuchMethodException`
    `java.lang.reflect.InvocationTargetException`
  See Also:
    `com.tonbeller.wcf.convert.SelectConverterBase#updateModelReference(Formatter, Map, Element, Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD